## crazydiskinfo 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.0)
option(RAW_VALUES_DEC "Display Raw Values in Decimal instead of Hex" OFF)
project(CrazyDiskInfo CXX)
add_executable(CrazyDiskInfo main.cpp)
set(CMAKE_CXX_FLAGS "-Wall -std=c++11")
SET_TARGET_PROPERTIES(CrazyDiskInfo PROPERTIES OUTPUT_NAME crazy)
target_link_libraries(CrazyDiskInfo atasmart)
target_link_libraries(CrazyDiskInfo tinfow)
target_link_libraries(CrazyDiskInfo ncursesw)
INSTALL(TARGETS CrazyDiskInfo RUNTIME DESTINATION /usr/sbin)

=== debian/changelog ===
crazydiskinfo (1.1.0-2) unstable; urgency=medium

  * debian/patches
    - Add 002-Drop-preset-CXXFLAGS-to-enable-hardening-by-buildsys.patch

 -- Hideki Yamane <henrich@debian.org>  Fri, 24 Jul 2020 17:13:47 +0900

crazydiskinfo (1.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #965276)

 -- Hideki Yamane <henrich@debian.org>  Sun, 19 Jul 2020 01:01:58 +0900

=== debian/control ===
Source: crazydiskinfo
Section: utils
Priority: optional
Maintainer: Hideki Yamane <henrich@debian.org>
Build-Depends: debhelper-compat (= 13),
               libatasmart-dev,
               libncurses-dev,
               cmake,
Standards-Version: 4.5.0
Homepage:https://github.com/otakuto/crazydiskinfo
Vcs-Browser: https://salsa.debian.org/debian/crazydiskinfo
Vcs-Git: https://salsa.debian.org/debian/crazydiskinfo.git
Rules-Requires-Root: no

Package: crazydiskinfo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: interactive TUI S.M.A.R.T viewer
 CrazyDiskInfo is an interactive TUI S.M.A.R.T viewer for Unix systems.
 .
  - UI similar to CrystalDiskInfo.
  - Health and temperature checking algorithms based on CrystalDiskInfo.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

=== debian/watch ===
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%crazydiskinfo-$1.tar.gz%" \
   https://github.com/otakuto/crazydiskinfo/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
